<packet name="CollectionUpdate">
	<version number="1">
		<u16 name="num_collections">
		<array name="collection_array" count="var:num_collections">
			<u8 name="unknown">
			<str16 name="collection_name">
			<str16 name="collection_category">
			<u8 name="completed">
			<u8 name="ready_to_turn_in">
			<u32 name="collection_id">
			<u8 name="level">
			<u8 name="unknown3">
			<u16 name="num_items">
			<array name="item_array" count="var:num_items">
				<u16 name="item_icon">
				<str16 name="item_name">
				<u8 name="item_flag">
			</array>
		</array>
		<u8 name="new_collection_flag">
	</version>
	<version number="839">
		<u16 name="num_collections">
		<array name="collection_array" count="var:num_collections">
			<u8 name="unknown">
			<str16 name="collection_name">
			<str16 name="collection_category">
			<u8 name="completed">
			<u8 name="ready_to_turn_in">
			<u32 name="collection_id">
			<u8 name="level">
			<u8 name="unknown3">
			<u16 name="num_items">
			<array name="item_array" count="var:num_items">
				<u16 name="item_icon">
				<str16 name="item_name">
				<u8 name="item_flag">
			</array>
		</array>
		<u8 name="new_collection_flag">
	</version>
	<version number="955">
		<u16 name="num_collections">
		<array name="collection_array" count="var:num_collections">
			<u8 name="unknown">
			<str16 name="collection_name">
			<str16 name="collection_category">
			<u8 name="completed">
			<u8 name="ready_to_turn_in">
			<u32 name="collection_id">
			<u8 name="level">
			<u8 name="unknown3">
			<u16 name="num_items">
			<array name="item_array" count="var:num_items">
				<u8 name="item_flag">
				<u16 name="item_icon">
				<i32 name="item_id">
				<i32 name="item_crc">
			</array>
		</array>
		<u8 name="new_collection_flag">
	</version>
</packet>